# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-sqla
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.sqla

Name:           python-module-tw2-sqla
Version:        2.0.6
Release:        alt1_14
Summary:        SQLAlchemy database layer for ToscaWidgets2

Group:          Development/Other
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-tw2-core >= 2.1.4
BuildRequires:  python-module-tw2-forms >= 2.1.4.1
BuildRequires:  python-module-tw2-dynforms
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-sqlalchemy0.7 >= 0.7
%else
BuildRequires:  python-module-SQLAlchemy >= 0.7
%endif
BuildRequires:  python-module-zope.sqlalchemy

# For tests
BuildRequires:  python-module-nose
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-strainer
BuildRequires:  python-module-webtest
BuildRequires:  python-module-elixir
BuildRequires:  python-module-sieve

# Templates for the test suite
BuildRequires:  python-module-genshi
BuildRequires:  python-module-mako
BuildRequires:  python-module-chameleon.core
BuildRequires:  python-module-kajiki
BuildRequires:  python-module-jinja2

# It doesn't *actually* need these, but its setup.py claims it does.
# And so, we comply.
BuildRequires:  python-module-turbokid
BuildRequires:  python-module-turbocheetah


# Runtime requirements

%global _description\
tw2.sqla is a database layer for ToscaWidgets 2 and SQLAlchemy. It allows common\
database tasks to be achieved with minimal code.
Source44: import.info

%description 

%_description
%prep
%setup -q -n %{modname}-%{version}

%if 0%{?rhel} && 0%{?rhel} <= 6

# Make sure that epel/rhel picks up the correct version of webob *and* SA
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\", \"sqlalchemy>=0.7\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

# Disable tests for now.  They're failing upstream.
#%check
#%if 0%{?rhel}
## Don't actually run tests on el or f18.  There's an issue with python-elixir.
#%else
#PYTHONPATH=$(pwd) python setup.py test
#%endif

%files -n python-module-tw2-sqla
%doc README.rst LICENSE
%{python_sitelibdir_noarch}/tw2/sqla
%{python_sitelibdir_noarch}/%{modname}-%{version}-*-nspkg.pth
%{python_sitelibdir_noarch}/%{modname}-%{version}-*.egg-info

%changelog
* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.6-alt1_14
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_4
- initial fc import

